Index: uspace/srv/hid/console/console.c
===================================================================
--- uspace/srv/hid/console/console.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/console/console.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,4 @@
 #include <fibril_synch.h>
 #include <stdlib.h>
-#include <str.h>
 #include "console.h"
 
@@ -102,10 +101,10 @@
 static console_t *active_console = &consoles[0];
 
-static errno_t input_ev_active(input_t *);
-static errno_t input_ev_deactive(input_t *);
-static errno_t input_ev_key(input_t *, kbd_event_type_t, keycode_t, keymod_t, wchar_t);
-static errno_t input_ev_move(input_t *, int, int);
-static errno_t input_ev_abs_move(input_t *, unsigned, unsigned, unsigned, unsigned);
-static errno_t input_ev_button(input_t *, int, int);
+static int input_ev_active(input_t *);
+static int input_ev_deactive(input_t *);
+static int input_ev_key(input_t *, kbd_event_type_t, keycode_t, keymod_t, wchar_t);
+static int input_ev_move(input_t *, int, int);
+static int input_ev_abs_move(input_t *, unsigned, unsigned, unsigned, unsigned);
+static int input_ev_button(input_t *, int, int);
 
 static input_ev_ops_t input_ev_ops = {
@@ -118,14 +117,14 @@
 };
 
-static errno_t cons_open(con_srvs_t *, con_srv_t *);
-static errno_t cons_close(con_srv_t *);
-static errno_t cons_read(con_srv_t *, void *, size_t, size_t *);
-static errno_t cons_write(con_srv_t *, void *, size_t, size_t *);
+static int cons_open(con_srvs_t *, con_srv_t *);
+static int cons_close(con_srv_t *);
+static int cons_read(con_srv_t *, void *, size_t);
+static int cons_write(con_srv_t *, void *, size_t);
 static void cons_sync(con_srv_t *);
 static void cons_clear(con_srv_t *);
 static void cons_set_pos(con_srv_t *, sysarg_t col, sysarg_t row);
-static errno_t cons_get_pos(con_srv_t *, sysarg_t *, sysarg_t *);
-static errno_t cons_get_size(con_srv_t *, sysarg_t *, sysarg_t *);
-static errno_t cons_get_color_cap(con_srv_t *, console_caps_t *);
+static int cons_get_pos(con_srv_t *, sysarg_t *, sysarg_t *);
+static int cons_get_size(con_srv_t *, sysarg_t *, sysarg_t *);
+static int cons_get_color_cap(con_srv_t *, console_caps_t *);
 static void cons_set_style(con_srv_t *, console_style_t);
 static void cons_set_color(con_srv_t *, console_color_t, console_color_t,
@@ -133,5 +132,5 @@
 static void cons_set_rgb_color(con_srv_t *, pixel_t, pixel_t);
 static void cons_set_cursor_visibility(con_srv_t *, bool);
-static errno_t cons_get_event(con_srv_t *, cons_event_t *);
+static int cons_get_event(con_srv_t *, cons_event_t *);
 
 static con_ops_t con_ops = {
@@ -231,5 +230,5 @@
 }
 
-static errno_t input_ev_active(input_t *input)
+static int input_ev_active(input_t *input)
 {
 	active = true;
@@ -240,5 +239,5 @@
 }
 
-static errno_t input_ev_deactive(input_t *input)
+static int input_ev_deactive(input_t *input)
 {
 	active = false;
@@ -248,5 +247,5 @@
 }
 
-static errno_t input_ev_key(input_t *input, kbd_event_type_t type, keycode_t key,
+static int input_ev_key(input_t *input, kbd_event_type_t type, keycode_t key,
     keymod_t mods, wchar_t c)
 {
@@ -275,10 +274,10 @@
 }
 
-static errno_t input_ev_move(input_t *input, int dx, int dy)
-{
-	return EOK;
-}
-
-static errno_t input_ev_abs_move(input_t *input, unsigned x , unsigned y,
+static int input_ev_move(input_t *input, int dx, int dy)
+{
+	return EOK;
+}
+
+static int input_ev_abs_move(input_t *input, unsigned x , unsigned y,
     unsigned max_x, unsigned max_y)
 {
@@ -286,5 +285,5 @@
 }
 
-static errno_t input_ev_button(input_t *input, int bnum, int bpress)
+static int input_ev_button(input_t *input, int bnum, int bpress)
 {
 	return EOK;
@@ -329,15 +328,15 @@
 }
 
-static errno_t cons_open(con_srvs_t *srvs, con_srv_t *srv)
-{
-	return EOK;
-}
-
-static errno_t cons_close(con_srv_t *srv)
-{
-	return EOK;
-}
-
-static errno_t cons_read(con_srv_t *srv, void *buf, size_t size, size_t *nread)
+static int cons_open(con_srvs_t *srvs, con_srv_t *srv)
+{
+	return EOK;
+}
+
+static int cons_close(con_srv_t *srv)
+{
+	return EOK;
+}
+
+static int cons_read(con_srv_t *srv, void *buf, size_t size)
 {
 	uint8_t *bbuf = buf;
@@ -379,9 +378,8 @@
 	}
 	
-	*nread = size;
-	return EOK;
-}
-
-static errno_t cons_write(con_srv_t *srv, void *data, size_t size, size_t *nwritten)
+	return size;
+}
+
+static int cons_write(con_srv_t *srv, void *data, size_t size)
 {
 	console_t *cons = srv_to_console(srv);
@@ -391,6 +389,5 @@
 		cons_write_char(cons, str_decode(data, &off, size));
 	
-	*nwritten = size;
-	return EOK;
+	return size;
 }
 
@@ -424,5 +421,5 @@
 }
 
-static errno_t cons_get_pos(con_srv_t *srv, sysarg_t *col, sysarg_t *row)
+static int cons_get_pos(con_srv_t *srv, sysarg_t *col, sysarg_t *row)
 {
 	console_t *cons = srv_to_console(srv);
@@ -435,5 +432,5 @@
 }
 
-static errno_t cons_get_size(con_srv_t *srv, sysarg_t *cols, sysarg_t *rows)
+static int cons_get_size(con_srv_t *srv, sysarg_t *cols, sysarg_t *rows)
 {
 	console_t *cons = srv_to_console(srv);
@@ -447,5 +444,5 @@
 }
 
-static errno_t cons_get_color_cap(con_srv_t *srv, console_caps_t *ccaps)
+static int cons_get_color_cap(con_srv_t *srv, console_caps_t *ccaps)
 {
 	console_t *cons = srv_to_console(srv);
@@ -494,5 +491,5 @@
 }
 
-static errno_t cons_get_event(con_srv_t *srv, cons_event_t *event)
+static int cons_get_event(con_srv_t *srv, cons_event_t *event)
 {
 	console_t *cons = srv_to_console(srv);
@@ -529,10 +526,10 @@
 }
 
-static errno_t input_connect(const char *svc)
+static int input_connect(const char *svc)
 {
 	async_sess_t *sess;
 	service_id_t dsid;
 	
-	errno_t rc = loc_service_get_id(svc, &dsid, 0);
+	int rc = loc_service_get_id(svc, &dsid, 0);
 	if (rc != EOK) {
 		printf("%s: Input service %s not found\n", NAME, svc);
@@ -563,5 +560,5 @@
 	service_id_t dsid;
 	
-	errno_t rc = loc_service_get_id(svc, &dsid, 0);
+	int rc = loc_service_get_id(svc, &dsid, 0);
 	if (rc == EOK) {
 		sess = loc_service_connect(dsid, INTERFACE_OUTPUT, 0);
@@ -580,5 +577,5 @@
 {
 	/* Connect to input service */
-	errno_t rc = input_connect(input_svc);
+	int rc = input_connect(input_svc);
 	if (rc != EOK)
 		return false;
Index: uspace/srv/hid/input/ctl/kbdev.c
===================================================================
--- uspace/srv/hid/input/ctl/kbdev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/ctl/kbdev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,5 @@
 #include "../kbd_port.h"
 
-static errno_t kbdev_ctl_init(kbd_dev_t *);
+static int kbdev_ctl_init(kbd_dev_t *);
 static void kbdev_ctl_set_ind(kbd_dev_t *, unsigned int);
 
@@ -90,5 +90,5 @@
 }
 
-static errno_t kbdev_ctl_init(kbd_dev_t *kdev)
+static int kbdev_ctl_init(kbd_dev_t *kdev)
 {
 	async_sess_t *sess = loc_service_connect(kdev->svc_id,
@@ -119,5 +119,5 @@
 	
 	port_id_t port;
-	errno_t rc = async_create_callback_port(exch, INTERFACE_KBD_CB, 0, 0,
+	int rc = async_create_callback_port(exch, INTERFACE_KBD_CB, 0, 0,
 	    kbdev_callback_conn, kbdev, &port);
 	
@@ -150,5 +150,5 @@
 {
 	kbdev_t *kbdev;
-	errno_t retval;
+	int retval;
 	int type, key;
 
Index: uspace/srv/hid/input/ctl/stty.c
===================================================================
--- uspace/srv/hid/input/ctl/stty.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/ctl/stty.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,5 +46,5 @@
 
 static void stty_ctl_parse(sysarg_t);
-static errno_t stty_ctl_init(kbd_dev_t *);
+static int stty_ctl_init(kbd_dev_t *);
 static void stty_ctl_set_ind(kbd_dev_t *, unsigned int);
 
@@ -237,5 +237,5 @@
 };
 
-static errno_t stty_ctl_init(kbd_dev_t *kdev)
+static int stty_ctl_init(kbd_dev_t *kdev)
 {
 	kbd_dev = kdev;
@@ -243,8 +243,5 @@
 
 	gsp_init(&sp);
-	if (gsp_insert_defs(&sp, seq_defs) < 0) {
-		return EINVAL;
-	}
-	return EOK;
+	return gsp_insert_defs(&sp, seq_defs);
 }
 
Index: uspace/srv/hid/input/ctl/sun.c
===================================================================
--- uspace/srv/hid/input/ctl/sun.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/ctl/sun.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,5 +44,5 @@
 
 static void sun_ctl_parse(sysarg_t);
-static errno_t sun_ctl_init(kbd_dev_t *);
+static int sun_ctl_init(kbd_dev_t *);
 static void sun_ctl_set_ind(kbd_dev_t *, unsigned int);
 
@@ -60,5 +60,5 @@
 static int scanmap_simple[];
 
-static errno_t sun_ctl_init(kbd_dev_t *kdev)
+static int sun_ctl_init(kbd_dev_t *kdev)
 {
 	kbd_dev = kdev;
Index: uspace/srv/hid/input/input.c
===================================================================
--- uspace/srv/hid/input/input.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/input.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,5 +54,4 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <str.h>
 #include <str_error.h>
 
@@ -474,5 +473,5 @@
 	kdev->ctl_ops = &kbdev_ctl;
 	
-	errno_t rc = loc_service_get_name(service_id, &kdev->svc_name);
+	int rc = loc_service_get_name(service_id, &kdev->svc_name);
 	if (rc != EOK) {
 		kdev->svc_name = NULL;
@@ -487,5 +486,5 @@
 	list_append(&kdev->link, &kbd_devs);
 	*kdevp = kdev;
-	return 0;
+	return EOK;
 	
 fail:
@@ -511,5 +510,5 @@
 	mdev->proto_ops = &mousedev_proto;
 	
-	errno_t rc = loc_service_get_name(service_id, &mdev->svc_name);
+	int rc = loc_service_get_name(service_id, &mdev->svc_name);
 	if (rc != EOK) {
 		mdev->svc_name = NULL;
@@ -524,5 +523,5 @@
 	list_append(&mdev->link, &mouse_devs);
 	*mdevp = mdev;
-	return 0;
+	return EOK;
 	
 fail:
@@ -531,5 +530,5 @@
 }
 
-static errno_t serial_consumer(void *arg)
+static int serial_consumer(void *arg)
 {
 	serial_dev_t *sdev = (serial_dev_t *) arg;
@@ -555,5 +554,5 @@
 {
 	bool match = false;
-	errno_t rc;
+	int rc;
 
 	serial_dev_t *sdev = serial_dev_new();
@@ -600,5 +599,5 @@
 	
 	*sdevp = sdev;
-	return 0;
+	return EOK;
 	
 fail:
@@ -634,5 +633,5 @@
 }
 
-static errno_t dev_check_new_kbdevs(void)
+static int dev_check_new_kbdevs(void)
 {
 	category_id_t keyboard_cat;
@@ -640,5 +639,5 @@
 	size_t count, i;
 	bool already_known;
-	errno_t rc;
+	int rc;
 	
 	rc = loc_category_get_id("keyboard", &keyboard_cat, IPC_FLAG_BLOCKING);
@@ -671,5 +670,5 @@
 		if (!already_known) {
 			kbd_dev_t *kdev;
-			if (kbd_add_kbdev(svcs[i], &kdev) == 0) {
+			if (kbd_add_kbdev(svcs[i], &kdev) == EOK) {
 				printf("%s: Connected keyboard device '%s'\n",
 				    NAME, kdev->svc_name);
@@ -685,5 +684,5 @@
 }
 
-static errno_t dev_check_new_mousedevs(void)
+static int dev_check_new_mousedevs(void)
 {
 	category_id_t mouse_cat;
@@ -691,5 +690,5 @@
 	size_t count, i;
 	bool already_known;
-	errno_t rc;
+	int rc;
 	
 	rc = loc_category_get_id("mouse", &mouse_cat, IPC_FLAG_BLOCKING);
@@ -722,5 +721,5 @@
 		if (!already_known) {
 			mouse_dev_t *mdev;
-			if (mouse_add_mousedev(svcs[i], &mdev) == 0) {
+			if (mouse_add_mousedev(svcs[i], &mdev) == EOK) {
 				printf("%s: Connected mouse device '%s'\n",
 				    NAME, mdev->svc_name);
@@ -736,5 +735,5 @@
 }
 
-static errno_t dev_check_new_serialdevs(void)
+static int dev_check_new_serialdevs(void)
 {
 	category_id_t serial_cat;
@@ -742,5 +741,5 @@
 	size_t count, i;
 	bool already_known;
-	errno_t rc;
+	int rc;
 	
 	rc = loc_category_get_id("serial", &serial_cat, IPC_FLAG_BLOCKING);
@@ -773,5 +772,5 @@
 		if (!already_known) {
 			serial_dev_t *sdev;
-			if (serial_add_srldev(svcs[i], &sdev) == 0) {
+			if (serial_add_srldev(svcs[i], &sdev) == EOK) {
 				printf("%s: Connected serial device '%s'\n",
 				    NAME, sdev->kdev->svc_name);
@@ -787,7 +786,7 @@
 }
 
-static errno_t dev_check_new(void)
-{
-	errno_t rc;
+static int dev_check_new(void)
+{
+	int rc;
 	
 	fibril_mutex_lock(&discovery_lock);
@@ -824,10 +823,10 @@
 
 /** Start listening for new devices. */
-static errno_t input_start_dev_discovery(void)
-{
-	errno_t rc = loc_register_cat_change_cb(cat_change_cb);
-	if (rc != EOK) {
-		printf("%s: Failed registering callback for device discovery: "
-		    "%s\n", NAME, str_error(rc));
+static int input_start_dev_discovery(void)
+{
+	int rc = loc_register_cat_change_cb(cat_change_cb);
+	if (rc != EOK) {
+		printf("%s: Failed registering callback for device discovery. "
+		    "(%d)\n", NAME, rc);
 		return rc;
 	}
@@ -843,5 +842,5 @@
 int main(int argc, char **argv)
 {
-	errno_t rc;
+	int rc;
 
 	if (argc < 2) {
Index: uspace/srv/hid/input/kbd_ctl.h
===================================================================
--- uspace/srv/hid/input/kbd_ctl.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/kbd_ctl.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,5 +44,5 @@
 typedef struct kbd_ctl_ops {
 	void (*parse)(sysarg_t);
-	errno_t (*init)(struct kbd_dev *);
+	int (*init)(struct kbd_dev *);
 	void (*set_ind)(struct kbd_dev *, unsigned int);
 } kbd_ctl_ops_t;
Index: uspace/srv/hid/input/kbd_port.h
===================================================================
--- uspace/srv/hid/input/kbd_port.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/kbd_port.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,5 +43,5 @@
 
 typedef struct kbd_port_ops {
-	errno_t (*init)(struct kbd_dev *);
+	int (*init)(struct kbd_dev *);
 	void (*write)(uint8_t);
 } kbd_port_ops_t;
Index: uspace/srv/hid/input/layout.h
===================================================================
--- uspace/srv/hid/input/layout.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/layout.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,5 @@
 /** Layout ops */
 typedef struct layout_ops {
-	errno_t (*create)(layout_t *);
+	int (*create)(layout_t *);
 	void (*destroy)(layout_t *);
 	wchar_t (*parse_ev)(layout_t *, kbd_event_t *);
Index: uspace/srv/hid/input/layout/ar.c
===================================================================
--- uspace/srv/hid/input/layout/ar.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/layout/ar.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -1,5 +1,5 @@
 /*
  * Copyright (c) 2011 Jiri Svoboda
- * Copyright (c) 2012 Mohammed Q. Hussain
+ * Copyright (c) 2012 Mohammed Q. Hussain (For Arabic Keyboard)
  * All rights reserved.
  *
@@ -39,5 +39,5 @@
 #include "../kbd.h"
 
-static errno_t ar_create(layout_t *);
+static int ar_create(layout_t *);
 static void ar_destroy(layout_t *);
 static wchar_t ar_parse_ev(layout_t *, kbd_event_t *ev);
@@ -200,5 +200,5 @@
 }
 
-static errno_t ar_create(layout_t *state)
+static int ar_create(layout_t *state)
 {
 	return EOK;
Index: uspace/srv/hid/input/layout/cz.c
===================================================================
--- uspace/srv/hid/input/layout/cz.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/layout/cz.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 #include "../layout.h"
 
-static errno_t cz_create(layout_t *);
+static int cz_create(layout_t *);
 static void cz_destroy(layout_t *);
 static wchar_t cz_parse_ev(layout_t *, kbd_event_t *ev);
@@ -385,5 +385,5 @@
 }
 
-static errno_t cz_create(layout_t *state)
+static int cz_create(layout_t *state)
 {
 	layout_cz_t *cz_state;
Index: uspace/srv/hid/input/layout/us_dvorak.c
===================================================================
--- uspace/srv/hid/input/layout/us_dvorak.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/layout/us_dvorak.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,5 @@
 #include "../kbd.h"
 
-static errno_t us_dvorak_create(layout_t *);
+static int us_dvorak_create(layout_t *);
 static void us_dvorak_destroy(layout_t *);
 static wchar_t us_dvorak_parse_ev(layout_t *, kbd_event_t *ev);
@@ -209,5 +209,5 @@
 }
 
-static errno_t us_dvorak_create(layout_t *state)
+static int us_dvorak_create(layout_t *state)
 {
 	return EOK;
Index: uspace/srv/hid/input/layout/us_qwerty.c
===================================================================
--- uspace/srv/hid/input/layout/us_qwerty.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/layout/us_qwerty.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,5 @@
 #include "../kbd.h"
 
-static errno_t us_qwerty_create(layout_t *);
+static int us_qwerty_create(layout_t *);
 static void us_qwerty_destroy(layout_t *);
 static wchar_t us_qwerty_parse_ev(layout_t *, kbd_event_t *ev);
@@ -203,5 +203,5 @@
 }
 
-static errno_t us_qwerty_create(layout_t *state)
+static int us_qwerty_create(layout_t *state)
 {
 	return EOK;
Index: uspace/srv/hid/input/mouse_port.h
===================================================================
--- uspace/srv/hid/input/mouse_port.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/mouse_port.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,5 +43,5 @@
 
 typedef struct mouse_port_ops {
-	errno_t (*init)(struct mouse_dev *);
+	int (*init)(struct mouse_dev *);
 	void (*write)(uint8_t);
 } mouse_port_ops_t;
Index: uspace/srv/hid/input/mouse_proto.h
===================================================================
--- uspace/srv/hid/input/mouse_proto.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/mouse_proto.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,5 +44,5 @@
 typedef struct mouse_proto_ops {
 	void (*parse)(sysarg_t);
-	errno_t (*init)(struct mouse_dev *);
+	int (*init)(struct mouse_dev *);
 } mouse_proto_ops_t;
 
Index: uspace/srv/hid/input/port/chardev.c
===================================================================
--- uspace/srv/hid/input/port/chardev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/port/chardev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,7 +45,7 @@
 #include "../kbd.h"
 
-static errno_t kbd_port_fibril(void *);
+static int kbd_port_fibril(void *);
 
-static errno_t chardev_port_init(kbd_dev_t *);
+static int chardev_port_init(kbd_dev_t *);
 static void chardev_port_write(uint8_t);
 
@@ -69,10 +69,10 @@
 static const unsigned int num_devs = sizeof(in_devs) / sizeof(in_devs[0]);
 
-static errno_t chardev_port_init(kbd_dev_t *kdev)
+static int chardev_port_init(kbd_dev_t *kdev)
 {
 	service_id_t service_id;
 	unsigned int i;
 	fid_t fid;
-	errno_t rc;
+	int rc;
 	
 	kbd_dev = kdev;
@@ -121,5 +121,5 @@
 static void chardev_port_write(uint8_t data)
 {
-	errno_t rc;
+	int rc;
 	size_t nwr;
 
@@ -131,7 +131,7 @@
 }
 
-static errno_t kbd_port_fibril(void *arg)
+static int kbd_port_fibril(void *arg)
 {
-	errno_t rc;
+	int rc;
 	size_t nread;
 	uint8_t b;
Index: uspace/srv/hid/input/proto/mousedev.c
===================================================================
--- uspace/srv/hid/input/proto/mousedev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/input/proto/mousedev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -85,5 +85,5 @@
 		}
 		
-		errno_t retval;
+		int retval;
 		
 		switch (IPC_GET_IMETHOD(call)) {
@@ -114,5 +114,5 @@
 }
 
-static errno_t mousedev_proto_init(mouse_dev_t *mdev)
+static int mousedev_proto_init(mouse_dev_t *mdev)
 {
 	async_sess_t *sess = loc_service_connect(mdev->svc_id, INTERFACE_DDF, 0);
@@ -141,5 +141,5 @@
 	
 	port_id_t port;
-	errno_t rc = async_create_callback_port(exch, INTERFACE_MOUSE_CB, 0, 0,
+	int rc = async_create_callback_port(exch, INTERFACE_MOUSE_CB, 0, 0,
 	    mousedev_callback_conn, mousedev, &port);
 	
Index: uspace/srv/hid/isdv4_tablet/isdv4.c
===================================================================
--- uspace/srv/hid/isdv4_tablet/isdv4.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/isdv4_tablet/isdv4.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -294,10 +294,10 @@
 }
 
-static errno_t read_packets(isdv4_state_t *state, packet_consumer_fn consumer)
+static int read_packets(isdv4_state_t *state, packet_consumer_fn consumer)
 {
 	bool reading = true;
 	while (reading) {
 		size_t nread;
-		errno_t rc;
+		int rc;
 
 		rc = chardev_read(state->chardev, state->buf + state->buf_end,
@@ -363,5 +363,5 @@
 static bool write_command(chardev_t *chardev, uint8_t command)
 {
-	errno_t rc;
+	int rc;
 	size_t nwr;
 
@@ -370,9 +370,9 @@
 }
 
-errno_t isdv4_init(isdv4_state_t *state, async_sess_t *sess,
+int isdv4_init(isdv4_state_t *state, async_sess_t *sess,
     isdv4_event_fn event_fn)
 {
 	chardev_t *chardev;
-	errno_t rc;
+	int rc;
 
 	rc = chardev_open(sess, &chardev);
@@ -396,5 +396,5 @@
 }
 
-errno_t isdv4_init_tablet(isdv4_state_t *state)
+int isdv4_init_tablet(isdv4_state_t *state)
 {
 	if (!write_command(state->chardev, CMD_STOP))
@@ -407,5 +407,5 @@
 		return EIO;
 
-	errno_t rc = read_packets(state, parse_response_stylus);
+	int rc = read_packets(state, parse_response_stylus);
 	if (rc != EOK)
 		return rc;
@@ -424,5 +424,5 @@
 }
 
-errno_t isdv4_read_events(isdv4_state_t *state)
+int isdv4_read_events(isdv4_state_t *state)
 {
 	return read_packets(state, parse_event);
Index: uspace/srv/hid/isdv4_tablet/isdv4.h
===================================================================
--- uspace/srv/hid/isdv4_tablet/isdv4.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/isdv4_tablet/isdv4.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -74,16 +74,9 @@
 
 typedef enum {
-	UNKNOWN,
-	PRESS,
-	RELEASE,
-	PROXIMITY_IN,
-	PROXIMITY_OUT,
-	MOVE
+	UNKNOWN, PRESS, RELEASE, PROXIMITY_IN, PROXIMITY_OUT, MOVE
 } isdv4_event_type_t;
 
 typedef enum {
-	STYLUS_TIP,
-	STYLUS_ERASER,
-	TOUCH
+	STYLUS_TIP, STYLUS_ERASER, TOUCH
 } isdv4_source_type_t;
 
@@ -97,7 +90,7 @@
 };
 
-extern errno_t isdv4_init(isdv4_state_t *, async_sess_t *, isdv4_event_fn);
-extern errno_t isdv4_init_tablet(isdv4_state_t *);
-extern errno_t isdv4_read_events(isdv4_state_t *state);
+extern int isdv4_init(isdv4_state_t *, async_sess_t *, isdv4_event_fn);
+extern int isdv4_init_tablet(isdv4_state_t *);
+extern int isdv4_read_events(isdv4_state_t *state);
 extern void isdv4_fini(isdv4_state_t *);
 
Index: uspace/srv/hid/isdv4_tablet/main.c
===================================================================
--- uspace/srv/hid/isdv4_tablet/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/isdv4_tablet/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -35,5 +35,4 @@
 #include <stddef.h>
 #include <stdio.h>
-#include <str.h>
 #include <task.h>
 
@@ -51,7 +50,7 @@
 }
 
-static errno_t read_fibril(void *unused)
-{
-	errno_t rc = isdv4_read_events(&state);
+static int read_fibril(void *unused)
+{
+	int rc = isdv4_read_events(&state);
 	if (rc != EOK) {
 		fprintf(stderr, "Failed reading events");
@@ -183,5 +182,5 @@
 
 	int arg = 1;
-	errno_t rc;
+	int rc;
 
 	isdv4_event_fn event_fn = emit_event;
Index: uspace/srv/hid/output/ctl/serial.c
===================================================================
--- uspace/srv/hid/output/ctl/serial.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/ctl/serial.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,5 +60,5 @@
 }
 
-static errno_t serial_yield(outdev_t *dev)
+static int serial_yield(outdev_t *dev)
 {
 	vt100_state_t *state = (vt100_state_t *) dev->data;
@@ -67,5 +67,5 @@
 }
 
-static errno_t serial_claim(outdev_t *dev)
+static int serial_claim(outdev_t *dev)
 {
 	vt100_state_t *state = (vt100_state_t *) dev->data;
@@ -122,5 +122,5 @@
 };
 
-errno_t serial_init(vt100_putchar_t putchar_fn,
+int serial_init(vt100_putchar_t putchar_fn,
     vt100_control_puts_t control_puts_fn, vt100_flush_t flush_fn)
 {
Index: uspace/srv/hid/output/ctl/serial.h
===================================================================
--- uspace/srv/hid/output/ctl/serial.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/ctl/serial.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,5 @@
 #include "../proto/vt100.h"
 
-extern errno_t serial_init(vt100_putchar_t, vt100_control_puts_t, vt100_flush_t);
+extern int serial_init(vt100_putchar_t, vt100_control_puts_t, vt100_flush_t);
 
 #endif
Index: uspace/srv/hid/output/output.c
===================================================================
--- uspace/srv/hid/output/output.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/output.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -80,10 +80,10 @@
 static void srv_yield(ipc_callid_t iid, ipc_call_t *icall)
 {
-	errno_t ret = EOK;
+	int ret = EOK;
 	
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.yield);
 		
-		errno_t rc = dev->ops.yield(dev);
+		int rc = dev->ops.yield(dev);
 		if (rc != EOK)
 			ret = rc;
@@ -95,10 +95,10 @@
 static void srv_claim(ipc_callid_t iid, ipc_call_t *icall)
 {
-	errno_t ret = EOK;
+	int ret = EOK;
 	
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.claim);
 		
-		errno_t rc = dev->ops.claim(dev);
+		int rc = dev->ops.claim(dev);
 		if (rc != EOK)
 			ret = rc;
@@ -170,5 +170,5 @@
 	}
 	
-	errno_t rc = async_share_out_finalize(callid, &frontbuf->data);
+	int rc = async_share_out_finalize(callid, &frontbuf->data);
 	if ((rc != EOK) || (frontbuf->data == AS_MAP_FAILED)) {
 		free(frontbuf);
@@ -467,5 +467,5 @@
 	/* Register server */
 	async_set_fallback_port_handler(client_connection, NULL);
-	errno_t rc = loc_server_register(NAME);
+	int rc = loc_server_register(NAME);
 	if (rc != EOK) {
 		printf("%s: Unable to register driver\n", NAME);
Index: uspace/srv/hid/output/output.h
===================================================================
--- uspace/srv/hid/output/output.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/output.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,15 +42,15 @@
 
 typedef struct {
-	errno_t (*yield)(struct outdev *dev);
-	errno_t (*claim)(struct outdev *dev);
+	int (* yield)(struct outdev *dev);
+	int (* claim)(struct outdev *dev);
 	
-	void (*get_dimensions)(struct outdev *dev, sysarg_t *cols,
+	void (* get_dimensions)(struct outdev *dev, sysarg_t *cols,
 	    sysarg_t *rows);
-	console_caps_t (*get_caps)(struct outdev *dev);
+	console_caps_t (* get_caps)(struct outdev *dev);
 	
-	void (*cursor_update)(struct outdev *dev, sysarg_t prev_col,
+	void (* cursor_update)(struct outdev *dev, sysarg_t prev_col,
 	    sysarg_t prev_row, sysarg_t col, sysarg_t row, bool visible);
-	void (*char_update)(struct outdev *dev, sysarg_t col, sysarg_t row);
-	void (*flush)(struct outdev *dev);
+	void (* char_update)(struct outdev *dev, sysarg_t col, sysarg_t row);
+	void (* flush)(struct outdev *dev);
 } outdev_ops_t;
 
Index: uspace/srv/hid/output/port/chardev.c
===================================================================
--- uspace/srv/hid/output/port/chardev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/port/chardev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -99,5 +99,5 @@
 	service_id_t *svc;
 	size_t svcs;
-	errno_t rc;
+	int rc;
 
 	rc = loc_category_get_svcs(serial_cat_id, &svc, &svcs);
@@ -157,5 +157,5 @@
 static void check_for_dev(void)
 {
-	errno_t rc;
+	int rc;
 	bool found;
 	service_id_t sid;
@@ -205,5 +205,5 @@
 }
 
-errno_t chardev_init(void)
+int chardev_init(void)
 {
 	if (!config_key_exists("console")) {
@@ -224,5 +224,5 @@
 	}
 
-	errno_t rc = loc_category_get_id("serial", &serial_cat_id, IPC_FLAG_BLOCKING);
+	int rc = loc_category_get_id("serial", &serial_cat_id, IPC_FLAG_BLOCKING);
 	if (rc != EOK) {
 		printf("%s: Failed to get \"serial\" category ID.\n", NAME);
Index: uspace/srv/hid/output/port/chardev.h
===================================================================
--- uspace/srv/hid/output/port/chardev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/port/chardev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -33,5 +33,5 @@
 #define OUTPUT_PORT_CHARDEV_H_
 
-extern errno_t chardev_init(void);
+extern int chardev_init(void);
 
 #endif
Index: uspace/srv/hid/output/port/ega.c
===================================================================
--- uspace/srv/hid/output/port/ega.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/port/ega.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -117,10 +117,10 @@
 }
 
-static errno_t ega_yield(outdev_t *dev)
+static int ega_yield(outdev_t *dev)
 {
 	return EOK;
 }
 
-static errno_t ega_claim(outdev_t *dev)
+static int ega_claim(outdev_t *dev)
 {
 	return EOK;
@@ -183,8 +183,8 @@
 };
 
-errno_t ega_init(void)
+int ega_init(void)
 {
 	sysarg_t present;
-	errno_t rc = sysinfo_get_value("fb", &present);
+	int rc = sysinfo_get_value("fb", &present);
 	if (rc != EOK)
 		present = false;
Index: uspace/srv/hid/output/port/ega.h
===================================================================
--- uspace/srv/hid/output/port/ega.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/port/ega.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -33,5 +33,5 @@
 #define OUTPUT_PORT_EGA_H_
 
-extern errno_t ega_init(void);
+extern int ega_init(void);
 
 #endif
Index: uspace/srv/hid/output/port/kfb.c
===================================================================
--- uspace/srv/hid/output/port/kfb.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/port/kfb.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -419,5 +419,5 @@
 }
 
-static errno_t kfb_yield(fbdev_t *dev)
+static int kfb_yield(fbdev_t *dev)
 {
 	if (kfb.backbuf == NULL) {
@@ -435,5 +435,5 @@
 }
 
-static errno_t kfb_claim(fbdev_t *dev)
+static int kfb_claim(fbdev_t *dev)
 {
 	if (kfb.backbuf == NULL)
@@ -460,5 +460,5 @@
 }
 
-static errno_t kfb_get_resolution(fbdev_t *dev, sysarg_t *width, sysarg_t *height)
+static int kfb_get_resolution(fbdev_t *dev, sysarg_t *width, sysarg_t *height)
 {
 	*width = kfb.width;
@@ -474,5 +474,5 @@
 }
 
-static errno_t kfb_vp_create(fbdev_t *dev, fbvp_t *vp)
+static int kfb_vp_create(fbdev_t *dev, fbvp_t *vp)
 {
 	kfb_vp_t *kfb_vp = malloc(sizeof(kfb_vp_t));
@@ -620,8 +620,8 @@
 }
 
-errno_t kfb_init(void)
+int kfb_init(void)
 {
 	sysarg_t present;
-	errno_t rc = sysinfo_get_value("fb", &present);
+	int rc = sysinfo_get_value("fb", &present);
 	if (rc != EOK)
 		present = false;
Index: uspace/srv/hid/output/port/kfb.h
===================================================================
--- uspace/srv/hid/output/port/kfb.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/port/kfb.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,5 @@
 #define FB_PORT_KFB_H_
 
-extern errno_t kfb_init(void);
+extern int kfb_init(void);
 
 #endif
Index: uspace/srv/hid/output/proto/vt100.c
===================================================================
--- uspace/srv/hid/output/proto/vt100.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/output/proto/vt100.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -181,10 +181,10 @@
 }
 
-errno_t vt100_yield(vt100_state_t *state)
+int vt100_yield(vt100_state_t *state)
 {
 	return EOK;
 }
 
-errno_t vt100_claim(vt100_state_t *state)
+int vt100_claim(vt100_state_t *state)
 {
 	return EOK;
